/* Font size */

.font-size__small {
  font-size: 0.75rem;
}

.font-size__small--x {
  font-size: 0.875rem;
}

.font-size__normal {
  font-size: 1rem;
}

.font-size__medium {
  font-size: 1.125rem;
}

.font-size__medium--x {
  font-size: 1.375rem;
}

.font-size__big {
  font-size: 1.5rem;
}

.font-size__big--x {
  font-size: 1.875rem;
}

.font-size__mega {
  font-size: 2.125rem;
}

.font-size__mega--x {
  font-size: 2.5rem;
}

@media only screen and (max-width: $wrap__md) {
  .font-size__medium {
    font-size: 1.063rem;
  }

  .font-size__medium--x {
    font-size: 1.25rem;
  }

  .font-size__big {
    font-size: 1.375rem;
  }

  .font-size__big--x {
    font-size: 1.5rem;
  }

  .font-size__mega {
    font-size: 2rem;
  }

  .font-size__mega--x {
    font-size: 2.25rem;
  }
}

@media only screen and (max-width: $wrap__sm) {
  .font-size__medium--x {
    font-size: 1.125rem;
  }

  .font-size__big {
    font-size: 1.25rem;
  }

  .font-size__big--x {
    font-size: 1.5rem;
  }

  .font-size__mega {
    font-size: 1.875rem;
  }

  .font-size__mega--x {
    font-size: 2rem;
  }
}

@media only screen and (max-width: $wrap__xs) {
  .font-size__big--x {
    font-size: 1.375rem;
  }

  .font-size__mega {
    font-size: 1.5rem;
  }

  .font-size__mega--x {
    font-size: 1.75rem;
  }
}
